Internal utilities
Implementation internals

Internal utility functions. More...

## Functions

static void | int_hotplug (hd_data_t *hd_data)
static void | int_cdrom (hd_data_t *hd_data)
static void | int_media_check (hd_data_t *hd_data)
static int | contains_word (char *str, char *str2)
static int | is_zip (hd_t *hd)
static void | int_floppy (hd_data_t *hd_data)
static void | int_fix_usb_scsi (hd_data_t *hd_data)
static void | int_mouse (hd_data_t *hd_data)
static void | new_id (hd_data_t *hd_data, hd_t *hd)
static void | int_modem (hd_data_t *hd_data)
static void | int_wlan (hd_data_t *hd_data)
static void | int_udev (hd_data_t *hd_data)
static void | int_devicenames (hd_data_t *hd_data)
static void | int_find_parent (hd_data_t *hd_data)
static void | int_add_driver_modules (hd_data_t *hd_data)
static void | int_update_driver_data (hd_data_t *hd_data, hd_t *hd)
void | hd_scan_int (hd_data_t *hd_data)
void | hd_add_driver_data (hd_data_t *hd_data, hd_t *hd)

## Detailed Description

Internal utility functions.

## Function Documentation

## contains_word()

int contains_word | ( | char * | str,
|  | char * | str2 )

static

References free_mem(), and new_str().

Referenced by is_zip().

## hd_add_driver_data()

void hd_add_driver_data | ( | hd_data_t * | hd_data,
|  | hd_t * | hd )

References add_str_list(), s_hd_t::drivers, hd_data, hd_sysfs_driver_list(), hd_sysfs_find_driver(), int_update_driver_data(), and s_hd_t::sysfs_id.

## hd_scan_int()

void hd_scan_int | ( | hd_data_t * | hd_data | ) |

References hd_data, hd_probe_feature(), hd_sysfs_driver_list(), hddb_add_info(), int_add_driver_modules(), int_cdrom(), int_devicenames(), int_find_parent(), int_fix_usb_scsi(), int_floppy(), int_hotplug(), int_media_check(), int_modem(), int_mouse(), int_udev(), int_wlan(), mod_int, s_hd_t::next, pr_int, PROGRESS, and remove_hd_entries().

Referenced by hd_scan().

## int_add_driver_modules()

void int_add_driver_modules | ( | hd_data_t * | hd_data | ) |

static

References hd_data, int_update_driver_data(), and s_hd_t::next.

Referenced by hd_scan_int().

## int_cdrom()

void int_cdrom | ( | hd_data_t * | hd_data | ) |

static

References hal_prop_s::b, s_hd_t::base_class, bc_storage_device, s_hd_t::is_s::cdr, s_hd_t::is_s::cdrw, s_hd_t::device, s_hd_t::is_s::dvd, s_hd_t::is_s::dvdpr, s_hd_t::is_s::dvdprdl, s_hd_t::is_s::dvdprw, s_hd_t::is_s::dvdr, s_hd_t::is_s::dvdram, s_hd_t::is_s::dvdrw, hal_get_bool(), s_hd_t::hal_prop, hd_data, hd_id_t::id, s_hd_t::is, hd_id_t::name, s_hd_t::next, s_hd_t::prog_if, sc_sdev_cdrom, s_hd_t::sub_class, and hal_prop_s::val.

Referenced by hd_scan_int().

## int_devicenames()

void int_devicenames | ( | hd_data_t * | hd_data | ) |

static

References add_str_list(), hd_data, s_hd_t::next, search_str_list(), s_hd_t::unix_dev_name, and s_hd_t::unix_dev_names.

Referenced by hd_scan_int().

## int_find_parent()

void int_find_parent | ( | hd_data_t * | hd_data | ) |

static

References s_hd_t::attached_to, hd_data, s_hd_t::idx, s_hd_t::next, s_hd_t::parent_udi, and s_hd_t::udi.

Referenced by hd_scan_int().

## int_fix_usb_scsi()

void int_fix_usb_scsi | ( | hd_data_t * | hd_data | ) |

static

References add_res_entry(), s_hd_t::bus, bus_scsi, bus_usb, s_hd_t::device, s_hd_t::driver_info, s_hd_t::drivers, free_mem(), hd_data, hd_set_hw_class(), hw_usb, hd_id_t::id, s_hd_t::modalias, new_id(), s_hd_t::next, s_hd_t::tag_s::remove, remove_tagged_hd_entries(), s_hd_t::res, search_str_list(), s_hd_t::serial, s_hd_t::sysfs_device_link, s_hd_t::sysfs_id, s_hd_t::tag, s_hd_t::unique_id, and s_hd_t::vendor.

Referenced by hd_scan_int().

## int_floppy()

void int_floppy | ( | hd_data_t * | hd_data | ) |

static

References u_hd_res_t::any, s_hd_t::base_class, bc_storage_device, hd_data, hd_id_t::id, s_hd_t::is, is_zip(), new_id(), s_hd_t::next, u_hd_res_t::next, s_hd_t::res, res_size, sc_sdev_disk, sc_sdev_floppy, u_hd_res_t::size, size_unit_sectors, s_hd_t::sub_class, res_any_t::type, res_size_t::unit, res_size_t::val1, res_size_t::val2, and s_hd_t::is_s::zip.

Referenced by hd_scan_int().

## int_hotplug()

void int_hotplug | ( | hd_data_t * | hd_data | ) |

static

References hal_prop_s::b, s_hd_t::bus, bus_usb, hal_get_bool(), s_hd_t::hal_prop, hd_data, s_hd_t::hotplug, s_hd_t::is_s::hotpluggable, hp_usb, hd_id_t::id, s_hd_t::is, s_hd_t::next, s_hd_t::usb_guid, and hal_prop_s::val.

Referenced by hd_scan_int().

## int_media_check()

void int_media_check | ( | hd_data_t * | hd_data | ) |

static

References ADD2LOG, hd_status_t::available, s_hd_t::base_class, bc_storage_device, s_hd_t::block0, hd_data, hd_report_this(), hd_id_t::id, s_hd_t::is, s_hd_t::next, s_hd_t::is_s::notready, PROGRESS, read_block0(), sc_sdev_disk, sc_sdev_floppy, s_hd_t::status, status_no, s_hd_t::sub_class, and s_hd_t::unix_dev_name.

Referenced by hd_scan_int().

## int_modem()

void int_modem | ( | hd_data_t * | hd_data | ) |

static

References s_hd_t::base_class, bc_modem, free_mem(), hd_data, hd_id_t::id, hd_dev_num_t::major, hd_dev_num_t::minor, new_str(), s_hd_t::next, sc_mod_win1, sc_mod_win2, sc_mod_win3, sc_mod_win4, str_printf(), s_hd_t::sub_class, s_hd_t::unix_dev_name, and s_hd_t::unix_dev_num.

Referenced by hd_scan_int().

## int_mouse()

void int_mouse | ( | hd_data_t * | hd_data | ) |

static

References s_hd_t::base_class, bc_mouse, hd_detail_t::bios, bios_info_t::bus, s_hd_t::bus, bus_usb, bios_info_t::compat_dev, s_hd_t::compat_device, bios_info_t::compat_vend, s_hd_t::compat_vendor, hd_detail_bios_t::data, s_hd_t::detail, s_hd_t::device, s_hd_t::drivers, free_mem(), hd_data, hd_detail_bios, hd_id_t::id, MAKE_ID, bios_info_t::mouse, hd_id_t::name, new_id(), new_str(), s_hd_t::next, s_str_list_t::next, sc_mou_ps2, sc_mou_usb, search_str_list(), s_str_list_t::str, s_hd_t::sub_class, TAG_SPECIAL, bios_info_t::type, hd_detail_t::type, s_hd_t::unix_dev_name, s_hd_t::unix_dev_name2, s_hd_t::unix_dev_names, bios_info_t::vendor, and s_hd_t::vendor.

Referenced by hd_scan_int().

## int_udev()

void int_udev | ( | hd_data_t * | hd_data | ) |

static

References add_str_list(), hd_data, s_udevinfo_t::links, s_udevinfo_t::name, new_str(), s_hd_t::next, s_str_list_t::next, s_udevinfo_t::next, read_udevinfo(), search_str_list(), s_str_list_t::str, s_udevinfo_t::sysfs, s_hd_t::sysfs_id, s_hd_t::unix_dev_name, and s_hd_t::unix_dev_names.

Referenced by hd_scan_int().

## int_update_driver_data()

void int_update_driver_data | ( | hd_data_t * | hd_data,
|  | hd_t * | hd )

static

References add_str_list(), s_hd_t::driver, s_sysfsdrv_t::driver, s_hd_t::driver_module, s_hd_t::driver_modules, s_hd_t::drivers, free_mem(), free_str_list(), hd_data, s_sysfsdrv_t::module, new_str(), s_str_list_t::next, s_sysfsdrv_t::next, and s_str_list_t::str.

Referenced by hd_add_driver_data(), and int_add_driver_modules().

## int_wlan()

void int_wlan | ( | hd_data_t * | hd_data | ) |

static

References driver_info_u::any, s_hd_t::base_class, bc_network, di_module, s_hd_t::driver_info, hd_data, hddb_add_info(), hd_id_t::id, s_hd_t::is, driver_info_u::module, driver_info_module_t::names, driver_info_u::next, s_hd_t::next, s_str_list_t::next, s_str_list_t::str, s_hd_t::sub_class, driver_info_any_t::type, and s_hd_t::is_s::wlan.

Referenced by hd_scan_int().

## is_zip()

int is_zip | ( | hd_t * | hd | ) |

static

References s_hd_t::base_class, bc_storage_device, contains_word(), s_hd_t::device, hd_id_t::id, hd_id_t::name, sc_sdev_disk, sc_sdev_floppy, s_hd_t::sub_class, s_hd_t::sub_device, s_hd_t::sub_vendor, and s_hd_t::vendor.

Referenced by int_floppy().

## new_id()

void new_id | ( | hd_data_t * | hd_data,
|  | hd_t * | hd )

static

References free_mem(), hd_add_id(), hd_data, s_hd_t::old_unique_id, s_hd_t::unique_id, and s_hd_t::unique_id1.

Referenced by int_fix_usb_scsi(), int_floppy(), and int_mouse().